> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staking Requests

> Lists the org's non-draft staking requests with configuration, grant, unstaking requests and recipient person.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-staking-requests
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-staking-requests:
    get:
      operationId: getStakingRequests
      summary: Get Staking Requests
      description: >-
        Lists the org's non-draft staking requests with configuration, grant,
        unstaking requests and recipient person.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStakingRequestsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetStakingRequestsResponse:
      type: array
      items:
        type: object
        properties:
          stakingRequestID:
            type: string
          stakingConfigurationID:
            type: string
          roleInOrgID:
            type: string
          stakingAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingBalance:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingStartDate:
            type: string
          stakingStatus:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          createdAt:
            type: string
          grantID:
            type: string
          updatedAt:
            type: string
          stakingDistributionID:
            type:
              - string
              - 'null'
          stakingConfiguration:
            type: object
            properties:
              stakingConfigurationID:
                type: string
              orgID:
                type: string
              maxStakePercentage:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              bufferPeriod:
                type: integer
              cooldownPeriod:
                type: integer
              versionNumber:
                type: integer
              createdAt:
                type: string
              updatedAt:
                type: string
              isCurrent:
                type: boolean
              stakingTypesEnabled:
                type: array
                items:
                  type: string
                  enum:
                    - UNVESTED_LOCKED_TOKENS
                    - UNVESTED_UNLOCKED_TOKENS
                    - VESTED_LOCKED_TOKENS
            required:
              - stakingConfigurationID
              - orgID
              - maxStakePercentage
              - bufferPeriod
              - cooldownPeriod
              - versionNumber
              - createdAt
              - updatedAt
              - isCurrent
              - stakingTypesEnabled
          grant:
            type: object
            properties:
              grantName:
                type: string
              grantID:
                type: string
              grantAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            required:
              - grantName
              - grantID
              - grantAmount
          unstakingRequests:
            type: array
            items:
              type: object
              properties:
                unstakingRequestID:
                  type: string
                stakingRequestID:
                  type: string
                unstakingAmount:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                unstakingDate:
                  type: string
                createdAt:
                  type: string
                updatedAt:
                  type: string
                status:
                  type: string
                  enum:
                    - DRAFT
                    - PENDING
                    - APPROVED
                    - REJECTED
                    - CANCELLED
                    - IN_STAKING
                    - UNSTAKE_REQUEST_PLACED
                    - STAKING_PERIOD_COMPLETED
                    - COMPLETED
                roleInOrgID:
                  type: string
              required:
                - unstakingRequestID
                - stakingRequestID
                - unstakingAmount
                - unstakingDate
                - createdAt
                - updatedAt
                - status
                - roleInOrgID
          roleInOrg:
            type: object
            additionalProperties: {}
        required:
          - stakingRequestID
          - stakingConfigurationID
          - roleInOrgID
          - stakingAmount
          - stakingBalance
          - stakingStartDate
          - stakingStatus
          - createdAt
          - grantID
          - updatedAt
          - stakingDistributionID
          - stakingConfiguration
          - grant
          - unstakingRequests
          - roleInOrg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
